Subject: bug#47252: 28.0.50; [PATCH] Make minibuffer-depth-indicator-function a defcustom

From: Mauro Aranda <[email-masked]>
Date: Fri, 19 Mar 2021 07:04:44 -0300

Lars Ingebrigtsen <[email-masked]> writes:

> Mauro Aranda <[email-masked]> writes:
>
>> Gabriel <[email-masked]> writes:
>>
>>> This simple patch makes 'minibuffer-depth-indicator-function' a
>>> defcustom.
>>
>> Since the default value is nil, I made a change after Lars pushed your
>> patch to include nil as a supported value; else, the Customize interface
>> reports a mismatch 
>
> Thanks.  But shouldn't
>
> +  :type '(choice (const :tag "Default" nil)
> +                 (function))
>
> be
>
> +  :type '(choice (const :tag "Default" nil)
> +                 function)
>
> ?

It's just a matter of style, I think.  If you prefer the latter, please
fix it.  I'm just used to write the available choices in a list, because
usually they have a :tag or a different default value.

>> (and I think we do have tests to check for this?)
>
> Yes, what's the test for this again?  

They were moved in:

commit 2790c6a572a905359c60f055c682b28ef5c8ff0d
Author: Stefan Kangas <[email-masked]>
Date:   Fri Feb 19 12:31:56 2021 +0100

    Run admin/cus-tests.el tests from test suite
    
    * test/Makefile.in (SUBDIRS): Run tests in new directory "misc",
    intended for tests not belonging to any one file.
    * test/misc/test-custom-deps.el:
    * test/misc/test-custom-libs.el:
    * test/misc/test-custom-noloads.el:
    * test/misc/test-custom-opts.el: New files.
    * test/lisp/custom-tests.el (custom--test-local-option): Move test to
    above new file test-custom-opts.el.
    
    * admin/cus-test.el: Document running tests from regular test suite.
    * test/file-organization.org (Test Files): Document new test directory
    "misc" for tests not belonging to any one file.

They are easy to "misc" ;-)

I wonder if it would be useful to tweak the checks in admin/cus-test.el
to be able to run the defcustom tests for each individual file.  Then,

make foo-tests

will run the tests in foo-tests.el and then check the defcustom in
library foo.